## org.eclipse.datatools.sqltools.plan.treeplan
Class TreePlanDrawer

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.AbstractPlanDrawer
          org.eclipse.datatools.sqltools.plan.treeplan.TreePlanDrawer

All Implemented Interfaces:
  IPlanDrawer

    public class TreePlanDrawer

extends AbstractPlanDrawer

This is a tree-structure graphic plan drawer which implements `drawPlan(IExecutionPlanDocument)` methods. We will convert the `IExecutionPlanDocument` to our own model before drawing the plan

Author:
  Dafan Yang

Constructor Summary
`TreePlanDrawer()`
`TreePlanDrawer(org.eclipse.swt.widgets.Canvas canvas, org.eclipse.swt.browser.Browser browser)`

Method Summary
`void` `drawPlan(IExecutionPlanDocument planDoc)` Draws the given execution plan
`void` `init()` Initializes the drawer, this method will be invoked after the drawer is constructed

Methods inherited from class org.eclipse.datatools.sqltools.plan.AbstractPlanDrawer
`setBrowser, setCanvas`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreePlanDrawer

    public TreePlanDrawer()

### TreePlanDrawer

    public TreePlanDrawer(org.eclipse.swt.widgets.Canvas canvas,
                          org.eclipse.swt.browser.Browser browser)

Method Detail

### init

    public void init()

  Description copied from interface: `IPlanDrawer`
  Initializes the drawer, this method will be invoked after the drawer is constructed

  Specified by:
    `init` in interface `IPlanDrawer`
  Specified by:
    `init` in class `AbstractPlanDrawer`

### drawPlan

    public void drawPlan(IExecutionPlanDocument planDoc)

  Description copied from interface: `IPlanDrawer`
  Draws the given execution plan

  Specified by:
    `drawPlan` in interface `IPlanDrawer`
  Specified by:
    `drawPlan` in class `AbstractPlanDrawer`
  Parameters:
    `planDoc` - the exeuction plan